using System;

internal sealed class Delegate825 : MulticastDelegate
{
	public extern string Invoke(ref uint uint_0);

	public static string smethod_0(ref uint uint_0, Delegate825 delegate825_1)
	{
		return delegate825_1(ref uint_0);
	}

	public extern Delegate825(object object_0, IntPtr intptr_0);

	static Delegate825()
	{
		Class10.smethod_13(typeof(Delegate825).TypeHandle);
	}

	internal static Delegate825 delegate825_0;
}
